%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

#GOLANG VERSION
#%global golang_version 	    1.12.1
#%global golang_version_hash 2a3fdabf665496a0db5f41ec6af7a9b15a49fbe71a85a50ca38b1f13a103aeec

%global build_dir	    src/github.com/prometheus/prometheus

Name:          	prometheus
Version:       	2.9.1
Release:        1.0.1%{?dist}
BuildArch:      x86_64
Summary:        Systems and service monitoring
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/prometheus/prometheus
Source:         %{name}-%{version}.tar.bz2
Vendor:	        Oracle America
BuildRequires:  golang >= 1.12-1.el7

%description
Prometheus, a Cloud Native Computing Foundation project, is a systems and service monitoring system.
It collects metrics from configured targets at given intervals, evaluates rule expressions,
displays the results, and can trigger alerts if some condition is observed to be true.

%prep
%setup -q -n %{name}-%{version}
mkdir -p %{build_dir}
mv $(ls | grep -v "^src$") %{build_dir}
mv .promu.yml %{build_dir}

%build
#mkdir -p $(pwd)/.gobin
#GO_TGT=go%{golang_version}.linux-amd64.tar.gz
#GO_SUM=%{golang_version_hash}
#curl -fSL https://golang.org/dl/${GO_TGT} > ${GO_TGT}
#CHKSUM=$(sha256sum ${GO_TGT} | cut -d' ' -f1)
#if [[ "${CHKSUM}" != "${GO_SUM}" ]]; then
#	echo "golang upstream binary checksum doesn't match"
#	exit 1
#fi
#tar xzC $(pwd)/.gobin < ${GO_TGT}
#export GOROOT=$(pwd)/.gobin/go
#export GOBIN=$(pwd)/.gobin/go/bin
#export PATH=$GOBIN:$PATH
#export GOPATH=$(pwd)
#export PATH=$GOPATH/bin:$PATH

pushd %{build_dir}
make build
popd

%install
pushd %{build_dir}
install -m 755 -d %{buildroot}/bin
install -p -m 755 -t %{buildroot}/bin prometheus
install -p -m 755 -t %{buildroot}/bin promtool

install -m 755 -d %{buildroot}/etc/prometheus/
install -p -m 644 -t %{buildroot}/etc/prometheus/ documentation/examples/prometheus.yml

install -m 755 -d %{buildroot}/usr/share/prometheus/console_libraries/
install -p -m 644 -t %{buildroot}/usr/share/prometheus/console_libraries/ console_libraries/*

install -m 755 -d %{buildroot}/usr/share/prometheus/consoles/
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/index.html.example
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-cpu.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-disk.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/node-overview.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/prometheus.html
install -p -m 644 -t %{buildroot}/usr/share/prometheus/consoles/ consoles/prometheus-overview.html

popd
mv %{build_dir}/LICENSE .

%files
%license LICENSE
/bin/prometheus
/bin/promtool
/etc/prometheus/prometheus.yml
/usr/share/prometheus/console_libraries/
/usr/share/prometheus/consoles/

%changelog
* Mon Apr 22 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 2.9.1-1.0.1
- Update to v2.9.1
